
#ifndef _CardDataRead_H_
#define _CardDataRead_H_

#include "Card.h"

enum{
	DECK_CHECK_OK			= 0,
	DECK_CHECK_NOT_DATA		= 1 << 0,
	DECK_CHECK_SAME_OVER	= 1 << 1,
	DECK_CHECK_LV0_UNDER	= 1 << 2,
	DECK_CHECK_LV0_OVER		= 1 << 3,
	DECK_CHECK_FRAME_UNDER	= 1 << 4,
	DECK_CHECK_FRAME_OVER	= 1 << 5,
	DECK_CHECK_KEEPER_OVER	= 1 << 6,
	DECK_CHECK_ACE_OVER		= 1 << 7,
};

bool cardDataRead(CARD_INFO* card, DWORD no);
void readDeckData(CARD_INFO* card, char* name);

int  checkDeck(CARD_INFO* card);

#endif /* _CardDataRead_H_ */
